SDL_GetTouchDevices(3)

NAME
SDL_GetTouchDevices - Get a list of registered touch devices.

HEADER FILE
Defined in SDL3/SDL_touch.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_TouchID* SDL_GetTouchDevices(int *count);

DESCRIPTION
On some platforms SDL first sees the touch device if it was actually used. Therefore the returned list might be empty, although devices are available. After using all devices at least once the number will be correct.

FUNCTION PARAMETERS

count
    a pointer filled in with the number of devices returned, can be NULL.

RETURN VALUE
Returns a 0 terminated array of touch device IDs which should be freed with SDL_free (), or NULL on error; call SDL_GetError () for more details.

AVAILABILITY
This function is available since SDL 3.0.0.